# Barry::TeeParser Class Reference

`#include <parser.h>`

Inheritance diagram for Barry::TeeParser:

[legend]
Collaboration diagram for Barry::TeeParser:

[legend]

List of all members.

## Detailed Description

Sends incoming DBData objects to all the parsers in its list.

This parser container does NOT own the parsers added.

Definition at line 529 of file parser.h.

## Public Member Functions

void | Add (Parser *p)
| Adds parser to internal list, and takes ownership of the pointer.
void | Add (Parser &p)
| Adds parser to internal list. Does NOT own the parser reference.
void | ParseRecord (const DBData &data, const IConverter *ic)
| Called to parse sub fields in the raw data packet.

## Member Function Documentation

void Barry::TeeParser::Add | ( | Parser * | p | ) |

Adds parser to internal list, and takes ownership of the pointer.

Definition at line 251 of file parser.cc.

void Barry::TeeParser::Add | ( | Parser & | p | ) |

Adds parser to internal list. Does NOT own the parser reference.

Definition at line 259 of file parser.cc.

void Barry::TeeParser::ParseRecord | ( | const DBData & | data,
|  | const IConverter * | ic |
| ) |  |  | `[virtual]`

Called to parse sub fields in the raw data packet.

Implements Barry::Parser.

Definition at line 264 of file parser.cc.

The documentation for this class was generated from the following files:

- parser.h
- parser.cc